﻿import { Component, OnInit, ViewContainerRef } from '@angular/core';

import { User } from '../../models/index';
import { UserService } from '../../services/index';
import { ToastsManager } from 'ng2-toastr/ng2-toastr';
import { Router } from '@angular/router';
@Component({
    moduleId: module.id,
    templateUrl: 'home.component.html',
    styleUrls: ['./home.component.css'],
    providers: [UserService]
})

export class HomeComponent implements OnInit {
    currentUser: User;
    users: Array<User>;

    constructor(private userService: UserService,
    private router: Router) {
        this.currentUser = JSON.parse(localStorage.getItem('currentUser'));


    }

    ngOnInit() {
        if (this.currentUser == null){
             this.router.navigate(['/login']);
        }
    }

    deleteUser(id: number) {
        this.userService.delete(id).subscribe(() => { this.loadAllUsers() });
    }

    private loadAllUsers() {
        this.userService.getAll().subscribe(users => { this.users = users.json(); });
    }
}