﻿import { Component, ViewChild } from '@angular/core';
import { CompleterService, CompleterData } from 'ng2-completer';
import {
    Empleado , Persona
} from '../../../entities/index';
import { EmpleadoService, PersonaService } from '../../../services/entity-services/index';
import { FormGroup } from '@angular/forms';

@Component({
    moduleId: module.id,
    selector: 'sena-carga',
    templateUrl: './senia-carga.component.html',
    providers: [EmpleadoService, PersonaService]
})
export class SeniaCargaComponent {
    @ViewChild('seniaForm') seniaForm: FormGroup;
    public senia: number;
    public monto_mensual : number;
    public vendedor: Empleado;
    public persona : Persona;
    public fecha_solicitud : Date;

    private lsEmpleados = new Array<Empleado>();

    constructor(
        private empleadoService: EmpleadoService, private personaService: PersonaService
    ) {
        this.vendedor = new Empleado();
        this.persona = new Persona();
        this.getVendedores();
    }

    getVendedores() {
        this.empleadoService.getByCargo(2).subscribe(

            data => {
                for (var i = 0; i < data.json().length; i++) {
                    let empleado = new Empleado();
                    empleado.id_empleado = data.json()[i]["id_empleado"];
                    this.personaService.getById(data.json()[i]["id_persona"]).subscribe(
                        data2 => {
                            for (var i = 0; i < data2.json().length; i++) {
                                empleado.nombre = data2.json()[i]["nombre"];
                                empleado.apellido = data2.json()[i]["apellido"];
                                }
                                this.lsEmpleados.push(empleado);
                        },
                        error => {
                        }
                    )
                }
            },
            error => {

            }
        )
    }

}
